/*-
 * %%----------------------------------------------------------------------------------------------
 * DLCM Technology - DLCM Portal - home-rss-detail.presentational.spec.ts
 * SPDX-License-Identifier: GPL-2.0-or-later
 * %----------------------------------------------------------------------------------------------%
 * Copyright (C) 2017 - 2022 University of Geneva
 * %----------------------------------------------------------------------------------------------%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/gpl-2.0.html>.
 * ----------------------------------------------------------------------------------------------%%
 */

import {
  ComponentFixture,
  TestBed,
  waitForAsync,
} from "@angular/core/testing";

import {HomeRssDetailPresentational} from "./home-rss-detail.presentational";

describe("HomeRssDetailPresentational", () => {
  let component: HomeRssDetailPresentational;
  let fixture: ComponentFixture<HomeRssDetailPresentational>;

  beforeEach(waitForAsync(() => {
    TestBed.configureTestingModule({
      declarations: [HomeRssDetailPresentational],
    })
      .compileComponents();
  }));

  beforeEach(() => {
    fixture = TestBed.createComponent(HomeRssDetailPresentational);
    component = fixture.componentInstance;
    component.item = {
      title: "test",
      description: "desc",
      pubDate: new Date(),
      link: "url",
    };
    fixture.detectChanges();
  });

  it("should create", () => {
    expect(() => fixture.detectChanges()).not.toThrow();
  });
});
