# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for
commit guidelines.

## [2.1.0-beta1](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/compare/dlcm-2.1.0-alpha2...dlcm-2.1.0-beta1) (2022-02-16)

### Features

* [DLCM-1755] support OAI metadata prefixes ([4bff5ac](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/4bff5ac440bb3e9ef3f1c9741de18a9b53245b66))
* [DLCM-1827] add more info on archives in collections detail
  table ([378a918](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/378a918446338bb8e44cb6c80c42dd0cda664dcd))
* [DLCM-1985] apply sub action intention ([0d91b94](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/0d91b94440a22dfc28faf69b203849a959979b26))
* [DLCM-1999] subscription to different notifications into user
  profile ([5a095d1](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/5a095d14c8d0ad868d95786a2939d635de6fd5a3))
* [DLCM-2000] check compliance level button for deposit
  menu ([1216bc3](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/1216bc34b0201b9c69f3a532b5f7d034bc836356))
* [DLCM-2002] manage pluralization in translate ([dd9a02c](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/dd9a02ca1297c2aa33eff6fcc9c44d9686579b5b))
* [DLCM-2007] manage cookie consent ([bb928dd](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/bb928dd2563d9fe5847ff5145f137bab74732dd1))
* [DLCM-2011] implement elasticsearch apm ([7d2faf8](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/7d2faf8e01bd34a3b27074a8281bfac164a34d58))
* [DLCM-2018] do not close org unit access request dialog if notification cannot be
  created ([aaa2f78](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/aaa2f782ef7f459087cd6430da13ab27b6f2be99))
* [DLCM-2019] add logo to license ([16168f4](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/16168f431dbdabd4f028caa98e35b713c404ee2e))
* [DLCM-2021] clearly indicate default ACL expiration ([e77d7ef](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/e77d7efbb3fb300398fefb13a3e5b660dee572a0))
* [DLCM-2022] display in list action for copy id and show
  history ([4be861b](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/4be861b361905bf85bec6a10083141a83c8b1439))
* [DLCM-2029] admin user form replace person select with searchable
  select ([2947dae](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/2947dae90a72efbc83745369102a604e7f7a5712))
* [DLCM-2051] allow metadata update ([77354fc](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/77354fcd09eaf3bad7c218dd3ba7521c67f56ded))
* [DLCM-2059] Adapt preservation job for order purge
  job ([1bb85fb](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/1bb85fb313249a896e49135f6337c5e27a7afe4a))
* add 'Centella' theme ([b9b59cf](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/b9b59cfacfe12c27b9e753c6d491133e4fc90c2c))
* add check compliance level preservation job ([2e63773](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/2e6377347f3e3f7f751f437bde37f5aa2499a0c9))
* **Deposit:** add DELETING status ([59cb6d8](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/59cb6d885aaaedd65cf4f26016986fc191ec26f9))
* **IndexFieldAlias:** [DLCM-1672] add system property ([6fc4bd1](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/6fc4bd1181c6328f55bae6e5d1bd15f593648961))

### Bug Fixes

* [DLCM-1971] allow to sort by publication date ([33185f6](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/33185f681375c972674225045b95f405640209c6))
* [DLCM-2020] display org unit logo even when only my org unit is
  toggle ([b98f98c](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/b98f98c25f1ee94fc769b4486b0c688608f2137a))
* [DLCM-2025] redirect always when read notification info about
  deposit ([28cc944](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/28cc94433cb3c2737ea5d3deafcf05b708635680))
* [DLCM-2030] preson org unit role detect changes
  problem ([895d145](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/895d145cc744d21130ccefb36c8355403c74a556))
* [DLCM-2033] refactor deposit security layer and fix problem of
  cache ([ab893d6](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/ab893d603b3e43fb38aeeb01ada3df9cf33998fa))
* [DLCM-2036] do not display notification in person dialog when creating a person from
  deposit ([0714b7b](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/0714b7b4cdefb388a1cc9998d07fe35f09b45e53))
* [DLCM-2042] check if custom ngsw is needed ([5a9a163](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/5a9a163fad25e3232114602f91020b1850b0fed9))
* [DLCM-2075, DLCM-2076] report validation errors in order
  form ([33fc7db](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/33fc7dbe6ebe44512f92671ded181d58db2906c3))
* [DLCM-2077-2081] simply css, replace flexbox with grid and fix file detail
  page ([f8db2c0](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/f8db2c02a526e619454c353e4ec01129b66c8ced))
* [DLCM-2087] Do not show logo when creating new orgunits, institutions and
  licences ([55d8d11](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/55d8d11188815458f03022fdcd315de7f147b306))
* [DLCM-2088] click ignore on disable DOI input field on
  firefox ([923f5a5](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/923f5a5f2c9b64ea655ff7beeb9b8516b4389f86))
* [DLCM-2092] display user avatar on create form ([45d66da](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/45d66da1cb97a153a7ba578336c58baf8eff72d0))
* [DLCM-2095] unable to edit deposit when root and not member of org
  unit ([c3b444f](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/c3b444fc7c9dfb814b6dc5ce067d34d42b77cf46))
* [DLCM-2096] stop polling an order in error ([b7ad643](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/b7ad6432ac8a0a921a9b589721dc2ef704a61882))
* add color for package status inprogress and editing
  metadata ([52a49a4](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/52a49a498a7ac0ccbe96d8967df454ddbbf12d71))
* **archive download:** do not display preparation package when download token is
  disabled ([4bdcb02](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/4bdcb022e32472347d7033c6ab4fe05bb7cdca6d))
* avoid to switch status editing metadata to in-progress when update
  deposit ([9bc421c](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/9bc421c78a3edcab05d04a9bbec6df971d0b4603))
* build error by removing unwanted comma ([63038ed](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/63038edeaa56af195a11053c5f23e7d9f9b1d4ff))
* checksum not injected in english error ([75d620a](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/75d620a5f73affa36d342e191b26ccc3586c19ba))
* **cookie consent:** [DLCM-2094] add management of download
  token ([f1cfa24](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/f1cfa24278b65d8476f2bd9d46bd32a6e5c0aa02))
* deposit edit mode computed to late ([42c38ea](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/42c38eaf3153503c2e7e756cb8b58c007caae5c3))
* **deposit list:** filter status on all tab and remove fitler on other
  tabs ([f10f739](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/f10f739ef14dcd88887efa183cf84a8783b17ec3))
* **deposit:** avoid to submit twice when status is editing
  metadata ([36c01ca](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/36c01ca884d506347c036b9acdda8009150675c1))
* do not set the deposit status when do an update ([0fb9d78](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/0fb9d78e6d3068c62353605f07e7e82780ce04ec))
* highlightjs when live edit solidify ([0431c88](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/0431c886bb4fcd22adbd985271ed17e95aa32ce6))
* **http status:** [DLCM-2008] update enum http status
  code ([4a0146c](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/4a0146cbd238a46304e1094374338d5ede973efa))
* **job:** [DLCM-2060] job execution list not refreshed after job
  started ([518f029](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/518f0294b6302d167aa85276b0ee96dc1e072cb5))
* lint config and lint error ([3f66e65](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/3f66e658a500a573c7abf642c5ea3cb255462518))
* lint error ([0d4b3aa](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/0d4b3aadfcf2fe0531be44ae1ec90db50a97c59f))
* lint error ([9bc920f](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/9bc920f9e805ec21698e29f66d765fe49e2f1d3e))
* manage error durring init application and logging ([d03fba5](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/d03fba576270e217c782e155e6dc60ce6bade2c1))
* **oai prefix:** make description field mandatory ([6d094c3](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/6d094c31b7c31d63c319c4a0494ca4ec89266b5d))
* **package.json:** use lowercase projects folders names in scripts (as repositories names in
  Gitlab) ([245f8b0](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/245f8b0f5c716bd46a8e30c27c8ffd671cd4d8af))
* **preservation job:** [DLCM-2050] unable to resume job in
  error ([6d68d74](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/6d68d7442ea3daaf2ac80ecb6f939af7b71bba11))
* production local script ([20cd5d6](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/20cd5d67bd48460b47062b360b05b7cd2cfea7e1))
* regenerate package lock ([ba2325c](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/ba2325cd55547175147f9c4f57ffff25b34b17dd))
* replace lib for extract third party licenses ([76ade0a](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/76ade0a583790932c4f1b7e2bcc72b5209ce76f2))
* solidify live edit ([fa79937](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/fa7993746db606a285bb7ae3a0f74c8f352b1c3a))
* solidify live reload ([02367a1](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/02367a1faee96672b9bb6664227408e1de13dc44))
* ts config for live watch with solidify ([612b24f](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/612b24fe8f82654207d90773cee741299f84e0c7))

## [2.1.0-alpha2](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/compare/dlcm-2.1.0-alpha1...dlcm-2.1.0-alpha2) (2022-01-03)

### Features

* [DLCM-1931] integrate oai link into footer ([0eb0940](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/0eb094004bbe3c3b449470f185f505d7339c91c0))
* [DLCM-1945] support Solidfy index module ([ae54d2b](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/ae54d2bcf4e1ccb7cc29badc543f65b6766e31e6))
* [DLCM-1955] allow root to remove sip dip and datafile ([a3d1a1c](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/a3d1a1c3eb9096e96acc157e05b7e4fba3aa39fd))
* [DLCM-1956] list all orgunits of an institution ([6abbab6](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/6abbab6ca36f2d992103e74458a4b27889c5ce5a))
* [DLCM-1957] update carousel to have demo feature ([b528ed8](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/b528ed81ef566aa608bfdb0a55ddcd28df60618b))
* [DLCM-1959] add user full name in change log section ([8ea1e57](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/8ea1e570728cdf866b6a8597787fb70a4e7c487b))
* [DLCM-1985] improve sequential and parallel dispatch actions to manage intention and
  timeout ([dec9fba](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/dec9fba251743c5301be9ada486823a22e58c7bd))
* [DLCM-1987] adapt preservation job report for
  deposits ([c3e904e](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/c3e904e428d4389a84424b2ff124aca40403995f))
* **admin language:** [DLCM-1975] translate list language depending of the language of the
  app ([8467710](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/84677107f784ca022cb56a5f15906376f64a31d3))
* **contributor:** [DLCM-1960] avoid call on contributor avatar when
  missing... ([338ba33](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/338ba33886bc5ca65c9bef0b0ba06940d398b62f))
* **deposit upload:** [DLCM-871] allow to upload datafile with
  checksum ([4f2b7a5](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/4f2b7a576edf99278a875b9622cbd1f3bebd0614))
* **list logo:** [DLCM-1946-1952] add logo in institution and org unit
  list ([99425f6](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/99425f606452a35f330d20759c1c447005c90a5d))
* **preview:** [DLCM-1889] manage preview for tiff file ([81d63f7](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/81d63f7a3ba238cc70e5b9101cb829397c199a42))
* required field in red when empty ([822cbbe](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/822cbbed0e5f490a49bf4c88ac55ac09d43c34a4))

### Bug Fixes

* [DLCM-1633] add sort for archive list ([d8ece87](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/d8ece877416a5fbbd1ebe708735e32cd683471d6))
* [DLCM-1918] remove routing hash strategy ([39290c0](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/39290c06103fe177f024da951e071e73fcd4fffe))
* [DLCM-1973] close user profile dialog when validate without validation
  error ([a535e4c](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/a535e4c58d9b4361698ee6199555f6fd3dcc2e26))
* [DLCM-1979] create missing success and fail actions for association
  state ([07e76de](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/07e76defce3bb56f4b2d1f0227da4a5a86d81fe1))
* [DLCM-1988] unable to preview image in docx on
  firefox ([aadaa93](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/aadaa93f0f0e9e86e9d18eaebbe1a5ab2a98a6cd))
* [DLCM-1991] custom metadata fie upload fail ([06a8730](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/06a87305412948a8000da5948d3cbddfb712bf64))
* [DLCM-1997] detect changes after checksum computed ([aab56ca](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/aab56ca3abbdc5395c496729208389f9c0e5c3bb))
* 1990 allow delete deposit data file from file detail page and add confirmation on
  list ([d6c581d](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/d6c581d0c41885e634dba41e70c8b6d2b4bc4798))
* **archive search:** [DLCM-2003] facetted search with multiple values on same field cause
  error ([5b5ba41](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/5b5ba414a935239e636f7a1a94d437f28b704e48))
* change indicator and message for checksum ([bb5339a](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/bb5339a05d6f23ce70635e13be49e29f8e460ecb))
* default value for scope ([1a964c2](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/1a964c2f84417141b764afadae522a4a41bbb084))
* disable preview in archive detail file ([7475756](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/74757564ea69ca9f3d5c712f79a8d7bf6412f0dc))
* docx preview patch for better workarround ([0d70859](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/0d70859ccc4b748500374d48b1c4d1aa54e353a6))
* docx-preview error missing jszip ([85f462b](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/85f462bc2cf3539407adbcaa8e45ca2b90caa6bc))
* hide checksum option if not managed by backend ([4574f7b](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/4574f7b70a1e58329e8ecd969c585eda4275562c))
* lint error ([0f4ab50](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/0f4ab50bcdf9e53465adc57897cc0fff4276b157))
* logo on list ([7f2f405](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/7f2f40544a8abbe640de00bee9008058f022c863))
* refresh token ([a212d1e](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/a212d1ecec72c5b953aa7a2a8cd1db90c46f23e6))
* remove unused imports and added navigate method for org units
  links ([a8c0d6c](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/a8c0d6c67b90e86f0c3385c3ca309b6134a2cfdc))
* **search:** display error message and clean search result when error
  append ([7cbed37](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/7cbed373106ca15f1fa26d45d7d2c33ca0bf6bdf))
* set scope for dlcm ([f4fb9a9](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/f4fb9a99114d56d77a84a78c559a9614e6b838e4))
* translate new notification type ([0a8d5ae](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/0a8d5ae0c53da952ce2efd3726bd5633a47bca08))
* update refresh status polling for all package ([5852142](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/585214249b0d8a076dcee4baf6cc12aa866b7b72))
* use operator and for contributor and allow to edit it in
  settings ([279f5d5](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/279f5d55dede03ddeb287c819f21aa75672edbb3))

## [2.1.0-alpha1](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/compare/dlcm-2.0.6...dlcm-2.1.0-alpha1) (2021-11-08)

### Features

* [AOU-1891] migrate TSLint to ESLint ([74f8e32](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/74f8e3262c4cb73bf941f9679f1701f3e06c7e21))
* [DLCM-1774] migrate to angular 11 ([f3682eb](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/f3682eba4573d530c1faa2c37c696c690157a993))
* [DLCM-1774] migrate to angular 12 ([7bb6fc9](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/7bb6fc9441c2d4acb8777ed3b32e4d2f958d993f))
* [DLCM-1776] migration DLCM to last version of solidify
  1.3.0 ([efbc0b9](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/efbc0b9325e94f5cd70760586133ea9173337045))
* [DLCM-1907] remove 'OAuth2Client' management ([7f5f9af](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/7f5f9af41fb6b0b1b77a7631afeca59a1771752e))
* [DLCM-1908] enable live reload on solidify frontend ([d7e3b5f](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/d7e3b5f0e268cccb5c8999b86869496ab1e21a89))
* 1816 add embargo information in collection table ([7670325](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/7670325b8cc4cbeaa004b59c86eb81ba768b4e9f))
* add 'refresh' action in user list for ROOT ([b0fdc44](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/b0fdc44ae06388853a846def219e1f8b0123e9e0))
* add dialog util everywhere ([5d44d5b](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/5d44d5be975fc39676fd7590a6d64b8ffd338e85))
* **download:** [DLCM-1743] apply download token for all authenticated
  download ([843429e](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/843429e9b1f0f6dcca22ac42346c324ee1c16b46))
* in OrgUnit edition, research domain list is interface language
  dependent ([b722490](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/b722490762978164f94461a8d7f415aa0be4ab39))
* update URL for OAI Set end point ([a12369f](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/a12369f4773f62510e33c5fb854e57fbbc8c0504))

### Bug Fixes

* [AOU-1898] deposit fle can no longer be selected using the
  checkbox ([29cca12](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/29cca12e0b7941271aa0ec81ecb3046c1b11fa66))
* [AOU-1900] remove environment.runtime.json from source code and
  binary ([19e15d5](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/19e15d5d1756e4f39ba068e9db10575620788820))
* [DLCM-1719] refresh ranking global once it has been
  rated ([9751b9f](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/9751b9fb9d68c7791886fe965e89dc0d75ef9112))
* [dlcm-1840] block if needed download button for closed
  archives ([95d31c0](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/95d31c0f40f895678a4219542b3d5aece700c9e2))
* [DLCM-1841] refresh deposit status on detail page properly when submit
  it ([f7e2c9c](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/f7e2c9c977b4473ef93a5a54172be5dcc81187af))
* [DLCM-1849] update to solidify 0.6.9 to fix missing description files excluded or
  ignored ([eb87274](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/eb8727428dc5e1765d406fadb6f38676f72fc5cd))
* [DLCM-1882] file detail toolbar hide behind deposit detail
  bar ([d84e63d](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/d84e63de1e9cddc53dadf0ffc2a4fd4703dce36c))
* [DLCM-1901] remove override and overrideProperty to use new typescript override
  feature ([848c162](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/848c16240a5c5c3d4b3a539c297c92ddf1c179b7))
* 1819 remove the upload data button from a collection's folder
  view ([4f626a9](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/4f626a94289cd6fcb30501f94559d83de698e7e7))
* 1820 close mat menu after click on action in datatable three dot
  button ([6997a48](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/6997a488a2789586611205a9c574cb8c443e368c))
* add missing english translate ([72b81b8](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/72b81b82d537711114416cb3232cd4bcf8bdd333))
* **admin language:** [DLCM-1902] avoid to allow to create duplicate
  language ([03931fb](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/03931fbfa11bdd920e64e7bbeaff37236ec29e54))
* **admin orgunit:** [DLCM-1927] invalid create request sent when create org
  unit ([43fb222](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/43fb222879ea7d2a42b20f876254a7d1405c8138))
* allow to try to upload same picture twice time ([e31e641](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/e31e64148684da4620a18bce44e3b06abbd5d0e6))
* **archive detail:** [DLCM-1915] page in error when log in then
  unloggue ([be7130e](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/be7130e9c3e526b6a691badf7a849c82911d1363))
* **archive detail:** 1833 license field display sensitivity when no
  license ([ba06d8b](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/ba06d8b9bdf555be18734bbfb095958e660b5a83))
* avatar in list and avoid 404 when we know that there is no
  avatar ([ce1b088](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/ce1b088d86bd8ddda4c7bf01bdd1d239054b75c4))
* **datatable checkbox:** [DLCM-1820] fix action buttons display in the list of files of a
  deposit ([92b0e38](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/92b0e381b2bc04bc063ac0ba652eb7eb084a16ba))
* **deposit:** [AOU-1835] detect change on deposit data sensitivity when
  error ([9b1c940](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/9b1c94065502950b5d27efa21eb50fcbf69b18de))
* **deposit:** 1834 warning banner is not updated when counter
  change ([6cd434e](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/6cd434e0634a89970e905d187d29e18b980a421a))
* display download button for sip aip dip button only when status
  available ([a3ff473](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/a3ff473f7a5605f97560123f34bd1127c4c81853))
* display user email for admin in notification detail ([be15df4](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/be15df4c94232afbf9f99348ea38cb1c3487aa82))
* download dip data file cause double download ([6f241a8](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/6f241a8cac651ef664b54d5d303371bc3d39833c))
* error on alternative dialog ([416738e](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/416738e4895f8d3e24a40464477af9a46de3c57a))
* error on order all order form ([4bb06c9](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/4bb06c9e192a45c6c771945ee62b6dc4389610d2))
* **general:** [DLCM-1831] sometimes app load first time in
  german ([ba66d42](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/ba66d42056b0b83db0f988d6ba9e1bdd819aa8cf))
* **home archive:** [DLCM-1829] Packages information are not displayed when should and sometime information displayed concen an other
  archive ([7e35d2d](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/7e35d2d4512e38972b3b16b49eb0d7404c49ee24))
* **job report:** [DLCM-1923] avoid invalid call on job
  excution ([63a4591](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/63a4591306396f8032d147b4bcb0129e3c79854d))
* **keyword:** [DLCM-1809] deposit keyword should accept
  space ([1ff5f79](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/1ff5f79b9f4cafd644af4798e353e996ac672735))
* lint error ([c6eb4dc](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/c6eb4dc2a26b207432ac869655cfc1279357fb0d))
* metadata version enum ([37dc30d](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/37dc30dd82a44ad64a0cbb06a58788c5b2456b7f))
* missing icon start empty ([71ca786](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/71ca786f4258a596dc6682c27896e5da806dafc5))
* **orgunit:** [DLCM-1885] enter in edition when click on add member
  button ([ea0e4d6](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/ea0e4d6dbd1f1a7c7c0d2a87c55edf98022e84a8))
* preview with backend update ([91401a6](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/91401a6c7de0ce4c233848369c66d6a1d5e3239a))
* **preview:** preview dialog missing download url ([2105c1f](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/2105c1f9db449624dc41e5e5c98a2e21afe4f6f9))
* proxy conf variable by removing prefix ([8365867](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/8365867a04ab08667324316d25a565a52f2bd3f4))
* remove nodocker config in package json ([29ea70b](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/29ea70b975e951c639ff2efa7535413a540a5732))
* remove unused tour step ([649e30f](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/649e30fe2696eb19d1d55646b146ddd61ad596c9))
* remove warning about IE 11 support ([d08d727](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/d08d727513e742eb343fa9491bbba32295628fc7))
* **SharedArchiveState:** [DLCM-1821] Show longer time the info message upon preparation of (first)
  DIP ([0599af5](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/0599af57616dbfa96d83cdb3e774520c62299d99))
* show labels text in research domain ([03ac686](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/03ac686a3667f6e2fa02d316add23a7cb128a60c))
* update status colors ([719cc29](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/719cc29cd6a137c62e0561cf6a15f860ebab9a7f))
* use download service provided by solidify ([94c8925](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/94c8925a220abe6fa6b4d4c869a56ceff9a684ae))
* warning about budget size ([62ae594](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/62ae594d798548bc64b352238c753a260bfe1c61))

### [2.0.7](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/compare/dlcm-2.0.6...dlcm-2.0.7) (2021-06-07)

### Features

* 1816 add embargo information in collection table ([fc230fe](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/fc230fe07abd400f7679ea49a079b7256f16f421))
* in OrgUnit edition, research domain list is interface language
  dependent ([2168740](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/21687407f86373d83b5f92d5ccea623c7191ccee))

### Bug Fixes

* [dlcm-1840] block if needed download button for closed
  archives ([fc03222](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/fc03222412c777d49f6dfd330d382988b537a00b))
* 1819 remove the upload data button from a collection's folder
  view ([1e92851](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/1e9285154eaa6c3bc144e4132cc5f82606d81c6a))
* 1820 close mat menu after click on action in datatable three dot
  button ([44949dc](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/44949dcb147cb23eec99e4c2fed502c137b1f511))
* **archive detail:** 1833 license field display sensitivity when no
  license ([4bbb162](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/4bbb162021c3300946bafea1676e0729a886a0ef))
* **datatable checkbox:** [DLCM-1820] fix action buttons display in the list of files of a
  deposit ([56a833a](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/56a833a991d0a3ef25b3a2a0e6f5346f1fb724dc))
* **deposit:** [AOU-1835] detect change on deposit data sensitivity when
  error ([eda1478](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/eda14785811b765f151f21194724d9d53d533abb))
* **deposit:** 1834 warning banner is not updated when counter
  change ([8a6df76](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/8a6df760e6262080e7bf963d7649afc7232df78f))
* display user email for admin in notification detail ([237c4b6](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/237c4b68b382ab2c324869155850be5384d32d34))
* **general:** [DLCM-1831] sometimes app load first time in
  german ([ad8617c](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/ad8617c47dcaf37c090bacfea9ecdec359c172b4))
* **home archive:** [DLCM-1829] Packages information are not displayed when should and sometime information displayed concen an other
  archive ([008ad6b](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/008ad6b167902293f93ff11b1ab15a200cd31ef0))
* **SharedArchiveState:** [DLCM-1821] Show longer time the info message upon preparation of (first)
  DIP ([d89364c](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/d89364c0a09bbd132e6764c9275273f825712a55))
* show labels text in research domain ([d1708ed](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/d1708ed54d0d2137816db2ce0933f8d3b93b8fca))
* update status colors ([a6f2253](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/a6f2253e1b4f1fa86e0daf174f5209006730bd9a))
* view AIP link in SIP detail when status is 'CLEANED' ([4c24a53](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/4c24a539f5cba2318aa9e4b34bd41ca144a7d513))

### [2.0.6](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/compare/dlcm-2.0.5...dlcm-2.0.6) (2021-03-18)

### Features

* 1144 when drag and drop file, allow to open folder by staying hover the desired
  folder ([dd0883f](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/dd0883f31fa09dbba1f61b056ae20b66553a7bc8))
* 1432 add institution on organizational unit preservation
  space ([ef50116](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/ef50116fdd6246dc85e7cd0601d6d4c731471762))
* 1621 translate access level chip and data tags on faceted
  search ([06af279](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/06af279ce92cf895d16dfc4e569c4c1dc9ef0ffb))
* 1744 dynamic change webmanifest and logo and color meta depending of theme
  used ([b165c7e](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/b165c7ec0e65fe028a69e7ff2904b1b5fd42c329))
* 1749 decode user token ([f34ee1f](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/f34ee1fda32cf1fff8c2bda5d5b5031e067c369b))
* 1754 parameter to enable a flag headband for test env to inform
  user ([7269290](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/726929089b0eb05883fa45f18343e80d093b1446))
* 1761 display institution and person first name last name if different for user searchable
  select ([eafa39f](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/eafa39f336ec386b3be3ed3446c3c68b143420d2))
* 1778 deposit delete button inside deposit form rename into delete
  deposit ([10f5d16](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/10f5d164fc7ea565b86586f82f2a3ea3818495d0))
* 1779 depost file list add column for display data
  category ([6404fae](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/6404faeea7439360e076c90063e5087499ad30a2))
* 1781 deposit list add button to download ignored file ([11d132f](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/11d132f9812e2bad8b10668093557cce2ca7a899))
* 1783 add icon bottom arrow to the rigth of the solidify
  select ([6b32a69](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/6b32a69ff39c4d206767c9dfddc4e992533532d7))
* 1785 data sensitivity change display of infos ([13e73e8](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/13e73e8c056f2e16c6020594be45a374f1c5c065))
* 1790 deposit warning banner polling use new endpoint ([95eb25e](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/95eb25e814dff3b4f88cfe6047d02abed62847a6))
* 1794 deposit bulk task do not ignore ([4adf23c](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/4adf23cdb58127bf19d693dbd93e6355df58818f))
* 1795 deposit data allow to directly upload a zip ([3aab69d](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/3aab69dde95057563a248f388fde9fd2ca7d5ceb))
* 1803 add confirmation window asking user accept privacy policy and terms of use at first
  login ([77bb28d](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/77bb28ddaee03ab95f7fd46e9a40685add8c6bad))
* 950 upload by default in current location folder ([6667178](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/66671789a287a1797c1d1dd7debf223227794bbd))
* add callback for extra info image and use it for orcid for contributors in deposit detail
  page ([f228b9f](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/f228b9f9c8e4baf6be086363d0b8510fea36fe9a))
* add creation time into preservation planning job
  table ([cc6ed6c](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/cc6ed6c275913f1550a04b9cc15272b3dbad1ac4))
* add message for contributors deposits to specify that only their authorized deposits are
  shown ([8eb9796](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/8eb979601c92077325be5f2d6fcdc2da88c0ec9f))
* add redirect link for orcid in archive detail page ([c69cc78](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/c69cc7852ca2c240f68145a9fe09b2446cf500dd))
* allow to put in error sip dip aip ([0d78133](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/0d78133f9e79006bbb96c2eb7e8b41538d0b77be))
* display default license on deposit license dropdown ([1268ae8](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/1268ae876dcaa681d5af9f0540f4607dfb3a552b))
* update angular json ([dae9d3f](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/dae9d3f45103ee22ee25d3a2f45e16eede19e740))

### Bug Fixes

* 1411 display button to add a person even if not in edit
  mode ([9dd39e6](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/9dd39e694048528bde8c465b9719cb6ef10a7463))
* 1753 allow to copy field value without enter in edit mode on
  chrome ([03113a3](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/03113a31d2b20249d580554f2dcf5da10421a907))
* 1760 archive acl is not accessible twice and add scroll
  service ([aba3598](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/aba3598d906cb454f4d35b5df58af595f9d3fa09))
* 1764 advance search for users ([f35f7a0](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/f35f7a03306f84da99fe83cb876b15cd182b057a))
* 1768 display all members of orgunit or all org unit of a person after
  save ([a22f4ba](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/a22f4baa692d2a64ee00c290ed01d861c19c761e))
* 1770 remove completed from datafile statuses ([93bc1fe](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/93bc1fe784e9c9de978b9e2cd13ebebfb7c6cba0))
* 1788 sonar duplicate code issues ([bb514b2](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/bb514b2cc0699008a5300b34d1cb8a6ee5adc75c))
* 1811 contributor filter and sorting problem ([1a13480](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/1a13480ccbda3debc655bea893fb0c0b0f301ab5))
* Add a warning when submitting a deposit which indicates that the decision is potentially
  final ([240ac77](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/240ac7704d6327481b92de4571542a2de1c3696f))
* add missing input in a component ([a1add65](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/a1add655eefc7eb6441e1117bdc5735d0f8f7903))
* allow funding agencies menu for admin ([5fc4e7e](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/5fc4e7eb0def41525171818b790029c68761fc10))
* allow to copy field value when disabled on firefox ([0523e1d](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/0523e1d54dcea93b74988b909dea4d956303f8fd))
* allow to save oauth 2 form change on admin page ([c976703](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/c976703bbd522a2641780307300fcf70574fc3fc))
* change status enum used for aip and sip collection
  list ([54adbf2](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/54adbf2f2ee484d71114bf7557c2af0404294fb4))
* data table display problems ([236b0ae](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/236b0ae50b333107cf52cf46b691ac40a191ea76))
* deposit sensitivity should be undefined when creating a
  deposit ([fda3326](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/fda3326a274a4fce5586522d0d71b9b108041804))
* do not create empty indexFieldAlias labels ([2d87afd](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/2d87afd98f9fda75bec558b70b2ee66ded5da6b1))
* error on file and collection list for deposit, sip, dip and
  aip ([5307025](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/53070256fbeb7ac779de06036270c83a14014174))
* force to explicit status enum to use in history
  dialog ([1312e5c](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/1312e5c10af309566e9bfbaad4c05abc9396f599))
* french corrections ([db115f4](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/db115f4f47676e0db77df2a96417eab1ab111ccc))
* initialize each time statistics component ([b22cf7d](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/b22cf7d61519580260ff963929b68557ff65f113))
* lint error ([9a82446](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/9a824465ce089666832b22c55fdc24ddc287ad3f))
* lint error ([deecebc](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/deecebcd27a07b2f6bf3b3d391030a84e1038c05))
* missing import ([e5b365d](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/e5b365dffd256bc47ad578b07e1100232232d3e9))
* missing spinner on deposit list ([bcadce8](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/bcadce833b985334101590fefc3ec076ca2a96ad))
* open orcid link in a new browser tab ([0870f55](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/0870f55e3bcc339d8e0e8f4ba4b26577c1e51fc6))
* preview of gif with pronom id ([9af270d](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/9af270d91f5636bd4dcc4ef99a82bac3cbf17be9))
* remove environment runtime theme ([f9cf52e](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/f9cf52eedfaabdf4f1a186454e748662547000d3))
* remove unused import ([ba3a78c](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/ba3a78ce09e465cdd0cb7c1e5416bccffd271407))
* searchable multiple select field should not display pen when ignored or
  cursor ([e680065](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/e6800658d97df6bb08af27deaebfb6f05676b8b9))
* show notification when submitting an order in all orders
  page ([edfb814](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/edfb814fd51a978f7de17d7bc3d13ce1cc6cd0ef))
* show sip or aip depending of the type of job ([a1b18c4](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/a1b18c4668d23dd60aa07a92574c352636aad706))
* spinner overlap data table header ([66b30a0](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/66b30a0bfb34969c8e1289f0ad58fd7d572d488b))
* unable to save deposit after edition due to javascript
  error ([1c46de0](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/1c46de0e3de5c9da4ef31f7c991e2061bc3571dc))
* use Institution instead of org unit in person institution
  action ([6199491](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/61994913a7acc556e84358f67c22a80498654f12))
* when creating a deposit, licence should be undefined by
  default ([97294a2](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/97294a27c138ea1bcac51ec431ed202f242504eb))
* wrong template url on searchable select content ([867fcaf](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/867fcaf9ab21912939e08e57316a475feffd3ea1))

### [2.0.5](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/compare/dlcm-2.0.4...dlcm-2.0.5) (2020-11-30)

### Features

* add archive preloading jobs ([e489b3a](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/e489b3ac41ddc2f91c76d31f0d50ed6efc91674d))
* add delete button to downloaded AIP + DIP ([7e432ae](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/7e432ae589e34bf3aba06500ede4dabdb06f61be))
* allow to dynamically define app language ([92b2d6e](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/92b2d6ed122a781b09532215e399d0ede42f0e82))
* remove '<>{}[]()' from forbidden characters ([587edf6](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/587edf68ffca2b1dd701bb12b2c2fb2aac878a8c))

### Bug Fixes

* change order button bulk action on deposit data file ([1fedea2](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/1fedea26bbf717ecd8a3b2c5b3169f92eea443cf))
* glitch on data table header when no data ([1313f3c](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/1313f3cbf021637e5ef1a29f0874fe3a31a37826))
* package logo displayed on AIP in error ([9b5d787](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/9b5d7870a446c0c48ff116090c32119b4ab679a7))
* preserve query parameters when come from deposit detail
  page ([a0d7d96](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/a0d7d960e270d2893238ff181c99953c9e11b2fe))
* remove file action buttons while deposit is in error ([8b3fa80](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/8b3fa80aedbb7fddd5ab892ece4987d650b60ab7))
* replace final data by source data for sort and filter on deposit data
  file ([c5d9b6c](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/c5d9b6c1d52e68336c732c73698fe148b1869627))
* truncate spinner on archive detail file list when file
  loading ([cfe12da](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/cfe12da57bed6e41acf003da562a27d5a0a8e0d9))
* user avatar not refresh when change page on admin user
  list ([6ce4fd1](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/6ce4fd11c47fad896a0046ab4c84a24c5118e2c0))
* validate uniqueness acronym of a fundingagency before
  create ([7e54bbc](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/7e54bbcc5a55d4ed4bb07994bea780e7de897b65))
* validate uniqueness external_uid of an user before
  create ([a8669d9](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/a8669d9f8c84f403f2bde58022c5e29637e42200))

### [2.0.4](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/compare/dlcm-2.0.3...dlcm-2.0.4) (2020-11-19)

### Features

* add guard to avoid load page archive detail with wrong archive
  id ([695e782](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/695e782fe0c7ccf8fe338aedfa0555c95f93ebcd))
* add yareta manifest and icon for pwa ([fe3b36e](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/fe3b36e0fad1ccb8b0c9db71778c806098b8ce3c))
* display a dedicated page when archive id doesn't
  exist ([489d14a](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/489d14a75fe3b4aaf6bdf6e3fe6cb7ee661739bf))

### Bug Fixes

* aip list sort size ([c03c49d](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/c03c49d7a0931fb551584de4c85eb7e7097fdf5a))
* avoid infinite spinner when invalide archive id in
  url ([698e8d6](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/698e8d645284055c479c56025cc51af569e4b405))
* avoid to block access to doc toc when user guide
  error ([87e580e](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/87e580ede810e815f8406d811f9d39d866e15cbf))
* display aip logo for aip downloaded file ([d4773b0](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/d4773b0a9bf7c5dbed57742a053fe3abe6c8026f))
* error when file format is null on data file detail
  page ([d198b01](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/d198b0161a4319cc82e4743f388138d1941a905d))
* increase max size textarea deposit description before
  scroll ([4622fc5](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/4622fc5ed70dc32ef44a2831fcb860ea25c9ab9b))
* injected link path on toc ([362bc55](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/362bc55920f84b981693d31ff68e50ad3992dbd4))
* regenerate model ([39b1bd0](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/39b1bd0185600e53b7b5671378bd2db224f74d8a))

### [2.0.3](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/compare/dlcm-2.0.2...dlcm-2.0.3) (2020-11-18)

### Bug Fixes

* custom service worker to working when scope is root
  server ([74fc6f0](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/74fc6f0c643d5bba020ac76db499eb8502f5298f))
* custom service worker to working when scope is root
  server ([3a16fae](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/3a16faec10dc556cb73c7019774e3e598f9a8d8c))

### [2.0.2](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/compare/dlcm-2.0.1...dlcm-2.0.2) (2020-11-13)

### Bug Fixes

* display see detail person button on preservation space org unit member list only when admin or
  root ([b02c826](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/b02c826d23d12cb224942b8f6c91bade034f318b))
* text wrap on datafile detail page ([1d03ef4](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/1d03ef4b980fea549989400ad2a5a9c2c4a5db30))
* update link of user guide toc if toc load from other endpoint than default docs
  folder ([1349007](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/1349007d54c91d05c2d053c857fc9476db5fa54c))

### [2.0.1](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/compare/dlcm-2.0.0...dlcm-2.0.1) (2020-11-06)

### Features

* add button display more option on data table ([b2ab505](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/b2ab505207a0b2af057a72d007ddffd3db65a900))
* add current access level (embargo) in archive
  metadata ([44ab04d](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/44ab04da9844d9d43c18a1c7112779c4d65623c9))
* add current access level (embargo) in archive
  metadata ([0ca7ee4](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/0ca7ee45e5a41563788ff99f4bb53f0afc4ff9cc))
* add header table as sticky ([68cc757](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/68cc757079b34836c3f80ddecc818b89bff0c05f))
* display embargo information on sip aip dip and display icon on embargo access
  level ([3ccdfce](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/3ccdfceed0caa05d94b48bcb49a3284b32a2d458))
* display general validation error message on deposit ([30d550a](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/30d550a6bba94381aefb44a61eb29068afeed789))

### Bug Fixes

* add a section for embargo on sip aip dip ([50e386b](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/50e386bd9fc2bb8e401544c87e93c90906d4f0fe))
* deposit datafile sticky problem depending of status ([9facd77](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/9facd77396c7e251d82b11e179f9cb1be35af622))
* error on deposit embargo at deposit creation ([0e2a117](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/0e2a11763f3f6c44484ef6fbd8c9528d52598fa4))
* glitch on data table when not data and not loading ([2ae3b2b](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/2ae3b2bff524f3e7beda8fff55d6f1fd9af3a602))
* header collapsed on datatable when no data are loaded ([bdb08fd](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/bdb08fdece02422d981d56748e73f8d4d8b59c45))
* hide options button on datatable when no options
  availaibe ([8f69c94](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/8f69c940b5e100639e81037a404c91f9862e50eb))
* main toolbar on small desktop by hidding search bar ([8cd55a0](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/8cd55a057a61763daae8efd6a705f0b061ec872a))
* make deposit tabs sticky ([57b3b7b](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/57b3b7b7967b9a0e230c3b53c9454bc8c21f9eec))
* monitoring by not cancel a pending request ([f1f9174](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/f1f917498487d9f9d2a4efa75e01bb0238bf901b))
* preserve data table line hover state when more action menu is
  opened ([5c5584c](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/5c5584c00cee1ec3bd89f00ee93c5e0540fb0f7e))
* several problem on sticky data table header ([d8c65a3](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/d8c65a3b4acd2458daf95963e243dbf7aeb39e21))
* sticky header list on several screens ([043b275](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/043b275d1c85e0f8834fa67cd001b00d0e4aeb1d))
* use translation of facet from backend for active
  facet ([17a0af3](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/17a0af30dd84f01f3a61444f00a22eb288db79ac))

## [2.0.0](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/compare/dlcm-2.0.0-RC3...dlcm-2.0.0) (2020-11-02)

### Features

* 1728 add a grey background for input fields ([7bf94a3](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/7bf94a3c82efbbfd0fff4d6f6483c83d34ad1ecf))
* 1730 change logos for add to download orders and download
  orders ([b1c823d](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/b1c823daf4854f1caca9d402337d3351d34c5e4a))
* 1733 Use system properties web service to get ORCID client
  ID ([399a613](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/399a613584ba67c6c5a44e58a54c93837709523b))
* add confirmation modal before delete a selection of data
  file ([8eb2b9e](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/8eb2b9e311f59185a3d88a893d9ec086139fba5c))
* add cypress io test on home module when not logged ([909be10](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/909be10f4f26424be6a0594d7567db18ff7aeca4))
* allow fullscreen preview only for certain formats ([af18a86](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/af18a86b67a59331307dee7609e602860ee491c2))
* allow to customized i18n files depending of theme and also of
  environment ([5ee673b](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/5ee673bafc47d0b4d75cbfd1f48edd0b62cdfc90))
* allow to set google analytics account ([edc55f6](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/edc55f6aa1925bcd403a55bcfff065bf6efff079))
* always display submit button on deposit but disable it when not
  available ([8a406e3](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/8a406e373e4ae71d5ba7eee498f30dad537b8694))
* detect link into description to display it ([c5f3a44](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/c5f3a44067b3a513ced415ccb08aeefe03ac4143))
* display orcid and affiliation on archive detail
  contributor ([04f7128](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/04f7128f7e32e392d99a4afb822b95d053c6fc47))
* google analytics consent usage of cookie ([c95b70a](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/c95b70a30447b57997c01a06a7c90856f0a9aabc))
* make labels more explicit + corrections ([c1139b5](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/c1139b566f5aa4040f2a34fb2320b0cb9bf71f91))
* remove back button for USERs in download order list ([81ce400](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/81ce40073ec37ff02b86561c0cc8136ad9d30a79))
* rename archive orders + more explicit labels ([7445f11](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/7445f11e42b9c4a96f9852e6e143eae9c91440e9))

### Bug Fixes

* 1709 move into the preview the button to allow
  fullscreen ([320d200](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/320d2003066bd806bee0e069fb14e6e7836698a3))
* activate user profile button when there is changes in
  avatar ([e7f70b1](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/e7f70b143416b5a1a5092dbd4f0e0a10238a78bc))
* add newspace at the end of the file ([b5b973a](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/b5b973a29285674755b97975af78da42bedbad06))
* added notion of read/unread for notifications ([93a9693](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/93a9693b2d89aef47c077669f465ba8a2d5a847e))
* allow to configure custom endpoint for userguide ([b13065c](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/b13065c0cb1be65874d943c8ca2cd6baf09dcd17))
* allow to display cookie consent banner when set id google analytics on environment
  runtime ([fc556e7](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/fc556e7ec2cacfd7d5afe8fc5960262435f0b724))
* change display component table person org unit role ([4ccee3a](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/4ccee3abaec2b4a86dc346803da427e1cc211bc2))
* change logo for login ([abee97a](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/abee97ad26e6e6c7ac6c9a3de84555c76e3c3eac))
* change title in home page depending of theme ([09916fb](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/09916fb1d2f5c38031f81545a3870645fed92aae))
* color label of mat input when focus and color marker required when
  focus ([a77a594](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/a77a59441c3ef9afeaa1878a0b0dee2ec5ceee7f))
* disable grid max width for archive detail page ([74ab84a](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/74ab84afa50c4afddd9b49caf962e86f2ca6d214))
* display button for fullscreen preview on a dedicated space and not hover
  preview ([34b4923](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/34b4923ed5373dfefd7ab28e81e8af22b5780bb8))
* display button margin botton on add me as contributor ([c4c0c9f](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/c4c0c9f32a900dea3a2636582515403c6e14cfd0))
* display input as focused when overlay open on single or multiple
  select ([31dcd40](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/31dcd4047763c0902968514745ef78137b77fe4e))
* display of multiple searchable select without value ([b83bb08](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/b83bb08d1d58ed5ce5e8ba611ecd661320a35342))
* fix height and width after zoom ([29c17d3](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/29c17d3f9fe97531193f7da338d129b922e1f37b))
* label considered only as placeholder ([ae45785](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/ae45785d0f0dc851ceb0ba4a31451a8825fdc2b9))
* lint error ([9f23e22](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/9f23e222580238f3d56aaae18c0a170226cbac94))
* lint error ([8d16a58](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/8d16a58974d9d799feea135019f96943421247b0))
* make label more darker ([ea79e65](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/ea79e654441547a799fff3f7665063001a2a5d9d))
* make some adjustment on notification ([7d1336e](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/7d1336e7b19da7b759818a5aa3c6b1ce7ec00ba0))
* manage back to list for deposit and preservation-planning deposit
  menus ([3bb920f](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/3bb920f4f861d39d9c8f53c5119d98b24eab06d7))
* move org unit toolbar to right in deposit view ([f2bc80e](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/f2bc80ebb30f22571fc244ac5ffbe7f14e42b696))
* move pen on input editable ([5566b88](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/5566b889df0d684e91030ced66f08c1c12fb302e))
* not able to save the same deposit form twice ([69b9925](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/69b9925b1066f6ffb16c538eb75b5f1a1614e509))
* on index field alias move translate field on the center
  part ([7a9c33b](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/7a9c33be4482d0021d5250e4b41b24a5a7c6cef0))
* preserve-query-parameters-in-url-for-notifications ([bbcdc74](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/bbcdc74820bfd3a9224cede3eb19519c54354edd))
* readme ([e03346f](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/e03346fc164555a2c59842ce42a6e8177646a5c4))
* regression on data file screen ([9e31f9c](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/9e31f9c22f8962fb185f27b06030c42c6502c326))
* remove autofocus on deposit list org unit selector ([8482f56](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/8482f568badd23b05e3b3db20eed21e68db1f85e))
* rename add to order button on archive detail and add
  tooltip ([39ba010](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/39ba010a00657308921f532c7554f501cd114254))
* rename label home search placeholder in fr and de ([c2f10ba](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/c2f10bada8916161e504c6e8381620dd731df34a))
* research archive with & character ([69db84b](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/69db84b1246544fd7fc33f4187e35432b2958904))
* research domain filter field not display correctly on readonly
  mode ([1c1557f](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/1c1557fc1f38de28d300912f2118f1322e15f618))
* searchable multi select link button ([7f63875](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/7f638751e0a1f4f343c3e9f94f2899f1fd434a79))
* switch material input mode to outline and allow to configure
  it ([56d0498](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/56d0498fb2ef26af10a822a982576749809e105d))
* use container space for the preview ([3a8a07b](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/3a8a07b07a707a1385fd17e5cc2389d599be9866))
* use object fit contain property to adapt image ([f613856](https://gitlab.unige.ch/dlcm/ui/dlcm-portal/commit/f6138567d3d26873dbed2cd9f45384f0e17f7d7c))

## 0.0.0 (2019-06-24)

### Features

* **dlcm-portal:** add oauth2 code flow ([1d7ad2e](https://gitlab.unige.ch///commit/1d7ad2e))
* **dlcm-portal:** add refresh token flow ([cad9997](https://gitlab.unige.ch///commit/cad9997)), closes [#DLCM-595](https://gitlab.unige.ch///issues/DLCM-595)

### Tests

* **dlcm-portal:** correct jasmine tests ([17433d3](https://gitlab.unige.ch///commit/17433d3))
